PostgreSQL 7.2.1 Documentation
Prev |  | Next

# seek

## Name

seek -- change current position in the large object

## Synopsis

    seek(offset, whence)

### Parameters

`offset`

  Position offset (integer).

`whence`

  Positional parameter (integer).

### Return Type

integer

  New current position in the object.

### Exceptions

TypeError

  Bad parameter type, or too many arguments.

IOError

  Object is not opened, or seek error.

pg.error

  Invalid connection or invalid object.

## Description

`seek()` method allows to move the cursor position in the large object. The whence parameter can be obtained by OR-ing the constants defined in the `pg` module (`SEEK_SET, SEEK_CUR, SEEK_END`).

Prev | Home | Next
write | Up | tell